import { API_URL } from '../config';

function PostList({ posts }) {
    return (
      <div id="postsContainer">
        {posts.map(post => (
          <div key={post.id} className="post">
            <div className="post-meta">
              #{post.id} - {new Date(post.created_at).toLocaleString()}
            </div>
            {post.text && <div className="post-text">{post.text}</div>}
            {post.image && <img src={`${API_URL}/${post.image}`} alt="Post" />}
          </div>
        ))}
      </div>
    );
  }
  
  export default PostList;